package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import java.util.Collection;


// Address EJB's remote home interface
public interface AddressHomeRemote extends javax.ejb.EJBHome {

    public AddressRemote createAddress(String street, String city, String state,  String zip )
        throws javax.ejb.CreateException, RemoteException;

    public AddressRemote findByPrimaryKey(Integer primaryKey)
        throws javax.ejb.FinderException, RemoteException;
    
    public AddressRemote findQuery300626()
    throws javax.ejb.FinderException, RemoteException;


    public Collection findAllAddress()
        throws javax.ejb.FinderException, RemoteException;

    public long getCountOfCities() throws javax.ejb.FinderException, RemoteException;

    public long getCountOfDistinctCities() throws javax.ejb.FinderException, RemoteException;

    public Collection getAllCities()
        throws javax.ejb.FinderException, RemoteException;
    public Collection getAllCreditCompanies()
        throws javax.ejb.FinderException, RemoteException;
    public Collection getAllCreditCompanyNames()
    	throws javax.ejb.FinderException, RemoteException;
    public Collection getAllCreditCompanyIds()
	    throws javax.ejb.FinderException, RemoteException;
    public Collection getAllCreditCompanyNums()
        throws javax.ejb.FinderException, RemoteException;

}

